### 5.1.128 random

`Syntax:`
  `random (` int_expression`,` int_expression `)`
`Type:`
  int
`Purpose:`
  returns a random integer between the integer given by the first int_expression and the one given by the second int_expression.
`Syntax:`
  `random (` int_expression`,` int_expression`,` int_expression `)`
`Type:`
  intmat
`Purpose:`
  returns a random intmat where the size is given by the second (number of rows) and third argument (number of columns). The absolute value of the entries of the matrix is smaller than or equal to the integer given as the first argument.
`Note:`
  The random generator can be set to a startvalue with the function `system`, resp. by a command line option. The current value of the random generator is `system("random")`.
  Internally a random generator with values in 1 to 2^31 - 2 and a full period is used, max-min may not be larger than 2^31-2.
`Example:`

        random(1,1000);
      ==> 35
        random(1,2,3);
      ==> 0,0,0,
      ==> 1,1,-1
        system("random",210);  // start random generator with 210
        random(-1000,1000);
      ==> 707
        random(-1000,1000);
      ==> 284
        system("random",210);
        random(-1000,1000);    // the same random values again
      ==> 707

See Command line options; int; intmat; system.

User manual for Singular version 4.4.1, 2025, generated by texi2html.